<?php
/**
 * Copyright oceanwebguru.com 2022
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    Radadiya Ajay <aradadiya163@rest.com>
 * @copyright oceanwebguru.com 2022
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 * @version   1.0
 * oceanwebguru.com
 * Languages: EN
 * PS version: 1.6
**/
class AdminproductinquiryseditController extends AdminController
{
    public function __construct()
    {
        $this->bootstrap = true;
        $this->table = 'Adminproductinquirysedit';
        $this->className = 'Adminproductinquirysedit';
        parent::__construct();
    }

    public function renderList()
    {
        $proinqid = pSQL($_REQUEST['pro_inq_id']);
        $sql = 'SELECT * FROM ' . _DB_PREFIX_ . 'oc_product_inquiri WHERE pro_inq_id = ' . $proinqid . '';
        $dataSource = Db::getInstance()->executeS($sql);

        $template_name = 'product_inq_view.tpl';
        $template_path = _PS_MODULE_DIR_ . 'ocproductinquiry/views/templates/admin/' . $template_name;

        // Assign variables to the template
        $this->context->smarty->assign(array(
            'title' => 'Product Inquiry Data',
            'description' => 'This is a template for my module.',
            'items' => $dataSource,
        ));

        $content = $this->context->smarty->fetch($template_path);

        return $content;
    }

    public function initContent()
    {
        parent::initContent();
    }
}